﻿using System;
using System.Runtime.Serialization;

namespace ETHZ.C0284H.Calculator.Exceptions.Calc
{
    [Serializable]
    public abstract class CalculatorException : Exception
    {
        protected CalculatorException()
        {
        }

        protected CalculatorException(string message) : base(message)
        {
        }

        protected CalculatorException(string message, Exception inner) : base(message, inner)
        {
        }

        protected CalculatorException(
            SerializationInfo info,
            StreamingContext context) : base(info, context)
        {
        }
    }
}