﻿using ETHZ.C0284H.Calculator.Instruct.Visitor;

namespace ETHZ.C0284H.Calculator.Instruct.Operators
{
    public class MinusInstruct : OperatorInstruct
    {
        public MinusInstruct() : base(CalculatorOperatorType.OperatorMinus)
        {
        }

        public override void Accept(ICalculatorInstructVisitor visitor)
        {
            if (visitor != null)
            {
                visitor.VisitOperator(this);
            }
        }
    }
}