using System;
using System.IO;
using ETHZ.C0284H.Calculator.UI;

namespace ETHZ.C0284H.Calculator
{	
	class MainClass
	{		
		public static void Main (string[] args)
		{
		    if (args.Length > 0)
		    {
		        Console.WriteLine("INFO: current version does not support any parameters.");
		    }
            TestConsole();

            Console.ReadLine();
		}

        public static void TestConsole()
        {
            var calc = new ReversePolishNotationCalculator();
            var console = new CalculatorConsole(Console.In,Console.Out, calc);
            var controller = new CalculatorController(calc, console);
            controller.StartViewNotification();
            console.Run();
        }
	}
}
