using ETHZ.C0284H.Calculator.CalculatorNode.Visitor;

namespace ETHZ.C0284H.Calculator.CalculatorNode
{
	/// <summary>
	/// Interface for a node
	/// </summary>
	public interface INode
	{
		/// <summary>
		/// Method to implement double dispatch (the visitor pattern) on the node hierarchy
		/// </summary>
		/// <param name="visitor">
		/// A <see cref="IVisitor"/>
		/// </param>
		void Accept(IVisitor visitor);
	}
}
