using System;
using System.Runtime.Serialization;

namespace ETHZ.C0284H.Calculator.Exceptions.Calc
{

    [Serializable]
    public class EmptyStackEvaluationException : CalculatorException
    {
        public EmptyStackEvaluationException()
        {
        }

        public EmptyStackEvaluationException(string message) : base(message)
        {
        }

        public EmptyStackEvaluationException(string message, Exception inner) : base(message, inner)
        {
        }

        protected EmptyStackEvaluationException(
            SerializationInfo info,
            StreamingContext context) : base(info, context)
        {
        }
    }
}
